> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/ar/registry-v3-packages.md).

# Registry V3 Packages

V3 packages endpoints

## List Packages

> Lists Packages

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 packages endpoints","name":"Registry V3 - Packages"}],"servers":[{"url":"/api"}],"paths":{"/v3/packages":{"get":{"description":"Lists Packages","operationId":"ListPackagesV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"},{"$ref":"#/components/parameters/OrgIdentifierV3"},{"$ref":"#/components/parameters/ProjectIdentifierV3"},{"$ref":"#/components/parameters/RegistryIdListOptionalParamV3"},{"$ref":"#/components/parameters/MetadataFilterListParamV3"},{"$ref":"#/components/parameters/PackageKindQueryParamV3"},{"$ref":"#/components/parameters/PackageTypeListParamV3"},{"$ref":"#/components/parameters/DeleteFilterParamV3"},{"$ref":"#/components/parameters/PageNumberV3"},{"$ref":"#/components/parameters/PageSizeV3"},{"$ref":"#/components/parameters/SortV3"},{"$ref":"#/components/parameters/SearchTermV3"},{"$ref":"#/components/parameters/IncludeMetaParamV3"}],"responses":{"200":{"$ref":"#/components/responses/ListPackageResponseV3"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"List Packages","tags":["Registry V3 - Packages"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}},"OrgIdentifierV3":{"description":"Unique identifier for the organization within the account.\n\nExample: `default` or `engineering_org`\n","in":"query","name":"org_identifier","schema":{"type":"string"}},"ProjectIdentifierV3":{"description":"Unique identifier for the project within the organization.\n\nExample: `my_project` or `frontend_services`\n","in":"query","name":"project_identifier","schema":{"type":"string"}},"RegistryIdListOptionalParamV3":{"description":"Unique id for the registry.\nNote: This parameter should have one id if package query param is provided\n","in":"query","name":"registry_ids","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"MetadataFilterListParamV3":{"description":"Filter by metadata using key:value format","in":"query","name":"metadata","schema":{"items":{"type":"string"},"type":"array"}},"PackageKindQueryParamV3":{"description":"refers to package kind which is being used in huggingface packages for model, dataset and terraform packages for module, provider","in":"query","name":"package_kind","schema":{"type":"string"}},"PackageTypeListParamV3":{"description":"Registry Package Type","in":"query","name":"package_types","schema":{"items":{"type":"string"},"type":"array"}},"DeleteFilterParamV3":{"in":"query","name":"deleted","schema":{"default":"exclude","enum":["exclude","include","only"],"type":"string"}},"PageNumberV3":{"description":"The page number for pagination (0-indexed).\n\nUsed to navigate through large result sets. Combined with `size` parameter\nto control which subset of results to return.\n\nExample: `page=0` returns the first page, `page=1` returns the second page\n","in":"query","name":"page","schema":{"default":0,"format":"int64","type":"integer"}},"PageSizeV3":{"description":"The number of items to return per page.\n\nControls the page size for paginated results. \n\nExample: `size=50` returns up to 50 items per page\n","in":"query","name":"size","schema":{"default":20,"format":"int64","maximum":100,"minimum":1,"type":"integer"}},"SortV3":{"description":"The sort for the results.\nAccepted pattern: `sort_field:sort_order` where sort_field is the field name\nand sort_order is either `asc` or `desc`.\n\nExamples: `name:asc`, `modifiedAt:desc`\n","in":"query","name":"sort","schema":{"type":"string"}},"SearchTermV3":{"description":"Search term for filtering results.\n\nExample: `search_term=prod` might match keys like \"production\", \"prod-env\", etc.\n","in":"query","name":"search_term","schema":{"type":"string"}},"IncludeMetaParamV3":{"description":"When `true`, include the `meta` object (e.g. active/deleted counts)\nin the response.\n","in":"query","name":"include_meta","schema":{"default":false,"type":"boolean"}}},"responses":{"ListPackageResponseV3":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPackagesResponseBodyV3"}}},"description":"response for list package"}},"schemas":{"ListPackagesResponseBodyV3":{"allOf":[{"$ref":"#/components/schemas/PageInfoV3"},{"properties":{"items":{"items":{"$ref":"#/components/schemas/PackageV3"},"type":"array"},"meta":{"$ref":"#/components/schemas/MetaV3"}},"required":["items"],"type":"object"}]},"PageInfoV3":{"description":"Pagination metadata.\n- `page` selects which page of results to return (0 = first page).\n- `size` controls how many items are returned per page.\n- `hasMore` is true if more results exist after this page.\n","properties":{"hasMore":{"description":"True if more results exist after this page.","type":"boolean"},"page":{"description":"The current page (0-indexed)","format":"int64","type":"integer"},"size":{"description":"Number of items per page","format":"int64","type":"integer"}},"required":["page","size","hasMore"],"type":"object"},"PackageV3":{"description":"Package Metadata","properties":{"deletedAt":{"$ref":"#/components/schemas/DeletedAtMsV3"},"deletedBy":{"$ref":"#/components/schemas/UserInfoV3"},"id":{"format":"uuid","type":"string"},"isPublic":{"type":"boolean"},"isQuarantined":{"type":"boolean"},"latestVersion":{"type":"string"},"latestVersionArtifactKey":{"additionalProperties":true,"type":"object"},"modifiedAt":{"$ref":"#/components/schemas/ModifiedAtMsV3"},"modifiedBy":{"$ref":"#/components/schemas/UserInfoV3"},"name":{"type":"string"},"orgIdentifier":{"$ref":"#/components/schemas/orgIdentifier"},"packageKind":{"$ref":"#/components/schemas/PackageKindV3"},"packageType":{"$ref":"#/components/schemas/PackageTypeV3"},"projectIdentifier":{"$ref":"#/components/schemas/projectIdentifier"},"quarantineReason":{"type":"string"},"registryId":{"format":"uuid","type":"string"},"registryName":{"type":"string"}},"required":["id","name","packageType","registryId","registryName","isPublic","latestVersion"],"type":"object"},"DeletedAtMsV3":{"description":"Unix timestamp in milliseconds when the resource was soft-deleted","format":"int64","nullable":true,"type":"integer"},"UserInfoV3":{"description":"Structured user information for a principal","properties":{"display_name":{"description":"Human-readable display name","type":"string"},"email":{"description":"Email address","type":"string"},"type":{"description":"Principal type (user, service, service_account)","type":"string"},"uid":{"description":"Principal unique identifier (username)","type":"string"}},"type":"object"},"ModifiedAtMsV3":{"description":"Unix timestamp in milliseconds when the resource was last modified","format":"int64","nullable":true,"type":"integer"},"orgIdentifier":{"type":"string"},"PackageKindV3":{"description":"refers to package kind which is being used in huggingface packages for model, dataset and terraform packages for module, provider","type":"string"},"PackageTypeV3":{"description":"Package type. Known values include: DOCKER, MAVEN, PYTHON, GENERIC, HELM, HELM_HTTP, NUGET, NPM, RPM, CARGO, COMPOSER, GO, HUGGINGFACE, CONDA, DART, SWIFT, PUPPET, RUBY, RAW, DEBIAN, CONAN, TERRAFORM, CRAN, WOLFI, ALPINE. This field is extensible; clients must handle unknown values.\n","type":"string"},"projectIdentifier":{"type":"string"},"MetaV3":{"description":"Metadata about the list response","properties":{"activeCount":{"description":"Count of active (non-deleted) entities","format":"int64","type":"integer"},"deletedCount":{"description":"Count of soft-deleted entities","format":"int64","type":"integer"}},"required":["activeCount","deletedCount"],"type":"object"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}}}}
```

## Get Package Metadata

> Retrieves all metadata for a package.

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 packages endpoints","name":"Registry V3 - Packages"}],"servers":[{"url":"/api"}],"paths":{"/v3/packages/{id}/metadata":{"get":{"description":"Retrieves all metadata for a package.","operationId":"GetPackageMetadataV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"},{"$ref":"#/components/parameters/IdPathParamV3"}],"responses":{"200":{"$ref":"#/components/responses/MetadataResponseV3"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Get Package Metadata","tags":["Registry V3 - Packages"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}},"IdPathParamV3":{"in":"path","name":"id","required":true,"schema":{"type":"string"}}},"responses":{"MetadataResponseV3":{"content":{"application/json":{"schema":{"properties":{"data":{"description":"Array of metadata entries","items":{"$ref":"#/components/schemas/MetadataV3"},"type":"array"}},"required":["data"],"type":"object"}}},"description":"Response containing all metadata entries for the requested entity"}},"schemas":{"MetadataV3":{"description":"Metadata entry","properties":{"id":{"description":"Unique identifier for this metadata entry","format":"uuid","type":"string"},"key":{"description":"The metadata key name","type":"string"},"type":{"$ref":"#/components/schemas/MetadataTypeV3"},"value":{"description":"The metadata value","type":"string"}},"required":["id","key","value","type"],"type":"object"},"MetadataTypeV3":{"description":"Indicates if metadata was manually added (MANUAL) or system-generated (AUTO)","enum":["MANUAL","AUTO"],"type":"string"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}}}}
```

## Upsert Package Metadata

> Creates or overwrites metadata for a package.

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 packages endpoints","name":"Registry V3 - Packages"}],"servers":[{"url":"/api"}],"paths":{"/v3/packages/{id}/metadata":{"post":{"description":"Creates or overwrites metadata for a package.","operationId":"UpsertPackageMetadataV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"},{"$ref":"#/components/parameters/IdPathParamV3"}],"requestBody":{"$ref":"#/components/requestBodies/MetadataRequestV3"},"responses":{"200":{"$ref":"#/components/responses/MetadataResponseV3"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Upsert Package Metadata","tags":["Registry V3 - Packages"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}},"IdPathParamV3":{"in":"path","name":"id","required":true,"schema":{"type":"string"}}},"requestBodies":{"MetadataRequestV3":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataInputV3"}}},"description":"Request body containing metadata key-value pairs to add or update"}},"schemas":{"MetadataInputV3":{"description":"Request payload containing metadata key-value pairs to add or update.\n","properties":{"metadata":{"description":"Array of metadata key-value pairs","items":{"$ref":"#/components/schemas/MetadataItemInputV3"},"maxItems":50,"minItems":1,"type":"array"}},"required":["metadata"],"type":"object"},"MetadataItemInputV3":{"description":"Metadata key-value pair for create/update operations","properties":{"key":{"description":"The metadata key name (case-sensitive)","maxLength":128,"minLength":1,"type":"string"},"value":{"description":"The metadata value","maxLength":256,"minLength":1,"type":"string"}},"required":["key","value"],"type":"object"},"MetadataV3":{"description":"Metadata entry","properties":{"id":{"description":"Unique identifier for this metadata entry","format":"uuid","type":"string"},"key":{"description":"The metadata key name","type":"string"},"type":{"$ref":"#/components/schemas/MetadataTypeV3"},"value":{"description":"The metadata value","type":"string"}},"required":["id","key","value","type"],"type":"object"},"MetadataTypeV3":{"description":"Indicates if metadata was manually added (MANUAL) or system-generated (AUTO)","enum":["MANUAL","AUTO"],"type":"string"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}},"responses":{"MetadataResponseV3":{"content":{"application/json":{"schema":{"properties":{"data":{"description":"Array of metadata entries","items":{"$ref":"#/components/schemas/MetadataV3"},"type":"array"}},"required":["data"],"type":"object"}}},"description":"Response containing all metadata entries for the requested entity"}}}}
```

## Replace Package Metadata

> Replaces all metadata for a package.

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 packages endpoints","name":"Registry V3 - Packages"}],"servers":[{"url":"/api"}],"paths":{"/v3/packages/{id}/metadata":{"put":{"description":"Replaces all metadata for a package.","operationId":"SavePackageMetadataV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"},{"$ref":"#/components/parameters/IdPathParamV3"}],"requestBody":{"$ref":"#/components/requestBodies/MetadataRequestV3"},"responses":{"200":{"$ref":"#/components/responses/MetadataResponseV3"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Replace Package Metadata","tags":["Registry V3 - Packages"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}},"IdPathParamV3":{"in":"path","name":"id","required":true,"schema":{"type":"string"}}},"requestBodies":{"MetadataRequestV3":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataInputV3"}}},"description":"Request body containing metadata key-value pairs to add or update"}},"schemas":{"MetadataInputV3":{"description":"Request payload containing metadata key-value pairs to add or update.\n","properties":{"metadata":{"description":"Array of metadata key-value pairs","items":{"$ref":"#/components/schemas/MetadataItemInputV3"},"maxItems":50,"minItems":1,"type":"array"}},"required":["metadata"],"type":"object"},"MetadataItemInputV3":{"description":"Metadata key-value pair for create/update operations","properties":{"key":{"description":"The metadata key name (case-sensitive)","maxLength":128,"minLength":1,"type":"string"},"value":{"description":"The metadata value","maxLength":256,"minLength":1,"type":"string"}},"required":["key","value"],"type":"object"},"MetadataV3":{"description":"Metadata entry","properties":{"id":{"description":"Unique identifier for this metadata entry","format":"uuid","type":"string"},"key":{"description":"The metadata key name","type":"string"},"type":{"$ref":"#/components/schemas/MetadataTypeV3"},"value":{"description":"The metadata value","type":"string"}},"required":["id","key","value","type"],"type":"object"},"MetadataTypeV3":{"description":"Indicates if metadata was manually added (MANUAL) or system-generated (AUTO)","enum":["MANUAL","AUTO"],"type":"string"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}},"responses":{"MetadataResponseV3":{"content":{"application/json":{"schema":{"properties":{"data":{"description":"Array of metadata entries","items":{"$ref":"#/components/schemas/MetadataV3"},"type":"array"}},"required":["data"],"type":"object"}}},"description":"Response containing all metadata entries for the requested entity"}}}}
```

## Rebuild the index for a package

> Trigger an asynchronous rebuild of the package index for the given package. The rebuild runs in the background; this endpoint returns immediately once the request is accepted. Package index rebuild is package-type specific — registries whose package type does not maintain a rebuildable per-package index return 405.

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 packages endpoints","name":"Registry V3 - Packages"}],"servers":[{"url":"/api"}],"paths":{"/v3/packages/rebuild-index":{"post":{"description":"Trigger an asynchronous rebuild of the package index for the given package. The rebuild runs in the background; this endpoint returns immediately once the request is accepted. Package index rebuild is package-type specific — registries whose package type does not maintain a rebuildable per-package index return 405.","operationId":"RebuildPackageIndexV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RebuildPackageIndexRequestV3"}}},"description":"Request body containing package ID to rebuild index for","required":true},"responses":{"202":{"$ref":"#/components/responses/RebuildPackageIndexAcceptedV3"},"405":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Package index rebuild is not supported for this registry's package type."},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Rebuild the index for a package","tags":["Registry V3 - Packages"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}}},"schemas":{"RebuildPackageIndexRequestV3":{"description":"Request to rebuild the package index for a single package","properties":{"packageId":{"description":"UUID of the package to rebuild the index for","type":"string"}},"required":["packageId"],"type":"object"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}},"responses":{"RebuildPackageIndexAcceptedV3":{"description":"Package index rebuild request accepted for processing"}}}}
```

## Get statistics for multiple packages

> Get statistics (artifactsCount, size, downloadCount) for a list of packages by their UUIDs.

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 packages endpoints","name":"Registry V3 - Packages"}],"servers":[{"url":"/api"}],"paths":{"/v3/packages/stats":{"post":{"description":"Get statistics (artifactsCount, size, downloadCount) for a list of packages by their UUIDs.","operationId":"GetPackagesStatsV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"},{"$ref":"#/components/parameters/OrgIdentifierV3"},{"$ref":"#/components/parameters/ProjectIdentifierV3"}],"requestBody":{"$ref":"#/components/requestBodies/PackagesStatsRequestV3"},"responses":{"200":{"$ref":"#/components/responses/PackagesStatsResponseV3"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Get statistics for multiple packages","tags":["Registry V3 - Packages"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}},"OrgIdentifierV3":{"description":"Unique identifier for the organization within the account.\n\nExample: `default` or `engineering_org`\n","in":"query","name":"org_identifier","schema":{"type":"string"}},"ProjectIdentifierV3":{"description":"Unique identifier for the project within the organization.\n\nExample: `my_project` or `frontend_services`\n","in":"query","name":"project_identifier","schema":{"type":"string"}}},"requestBodies":{"PackagesStatsRequestV3":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackagesStatsRequestInputV3"}}},"description":"Request body containing list of package UUIDs to fetch stats for","required":true}},"schemas":{"PackagesStatsRequestInputV3":{"description":"Request input for fetching package statistics","properties":{"packageIds":{"description":"List of package UUIDs to fetch statistics for","items":{"format":"uuid","type":"string"},"maxItems":100,"type":"array"}},"required":["packageIds"],"type":"object"},"PackagesStatsResponseBodyV3":{"description":"Response body containing package statistics","properties":{"items":{"description":"List of package statistics","items":{"$ref":"#/components/schemas/PackageStatsV3"},"type":"array"}},"required":["items"],"type":"object"},"PackageStatsV3":{"description":"Statistics for a single package","properties":{"artifactsCount":{"description":"Total number of artifacts/versions in the package","format":"int64","type":"integer"},"downloadCount":{"description":"Total download count for the package","format":"int64","type":"integer"},"id":{"description":"Package UUID","format":"uuid","type":"string"},"size":{"description":"Total size of the package (human-readable format)","type":"string"}},"required":["id"],"type":"object"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}},"responses":{"PackagesStatsResponseV3":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackagesStatsResponseBodyV3"}}},"description":"Response containing statistics for the requested packages"}}}}
```
